Application: gvSIG desktop - gvSIG bugs #4297
lllegalArgumentException: DataType 65 not registered
07/26/2016 04:59 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Raster

Target version: 2.3.0-2444-RC4 (rev. org.gvsig.desktop-2{0.151)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2439 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

org.gvsig.raster.wcs.io.DefaultWCSIOLibrary and org.gvsig.raster.wms.io.DefaultWMSIOLibrary can't be initialized because DataType
65 is not registered:

INFO main org.gvsig.tools.library.AbstractLibrary - Initializing library 'org.gvsig.raster.wcs.io.DefaultWCSIOLibrary'.
INFO main org.gvsig.tools.library.AbstractLibrary - Can't initialize library 'org.gvsig.raster.wcs.io.DefaultWCSIOLibrary'.
java.lang.lllegalArgumentException: DataType 65 not registered

at org.gvsig.tools.dataTypes.impl.DefaultDataTypesManager.get(DefaultDataTypesManager.java:148)

at org.gvsig.tools.dynobject.impl.ValueType.setType(ValueType.java:23)

at org.gvsig.tools.dynobject.impl.DefaultDynField.setType(DefaultDynField.java:266)

at org.gvsig.raster.impl.store.AbstractRasterDataParameters.registerDynClass(AbstractRasterDataParameters.java:94)

at org.gvsig.raster.wcs.io. WCSDataParametersimpl.registerDynClass(WCSDataParametersimpl.java:87)

at org.gvsig.raster.wcs.io.DefaultWCSIOLibrary.dolnitialize(DefaultWCSIOLibrary.java:43)

at org.gvsig.tools.library.AbstractLibrary.initialize (AbstractLibrary.java:338)

at org.gvsig.tools.library.AbstractLibrariesInitializer.initializeLibraries(AbstractLibrariesInitializer.java:256)

at org.gvsig.tools.library.AbstractLibrariesInitializer.initialize(AbstractLibrarieslnitializer.java:90)

at org.gvsig.tools.library.AbstractLibrariesInitializer.fulllnitialize(AbstractLibrariesInitializer.java: 115)

at org.gvsig.andami.Launcher.initializeLibraries(Launcher.java:782)

at org.gvsig.andami.Launcher.doMain(Launcher.java:570)

at org.gvsig.andami.Launcher.main(Launcher.java:395)

at sun.reflect.NativeMethodAccessorlmpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.gvsig.andamiupdater.Updater.launchApp(Updater.java:89)

at org.gvsig.andamiupdater.Updater.main(Updater.java:67)
INFO main org.gvsig.tools.library.AbstractLibrary - Initializing library 'org.gvsig.raster.wms.io.Default WMSIOLibrary'.
INFO main org.gvsig.tools.library.AbstractLibrary - Can't initialize library 'org.gvsig.raster.wms.io.Default WMSIOLibrary'.
java.lang.lllegalArgumentException: DataType 65 not registered

at org.gvsig.tools.dataTypes.impl.DefaultDataTypesManager.get(DefaultDataTypesManager.java:148)

at org.gvsig.tools.dynobject.impl.ValueType.setType(ValueType.java:23)

at org.gvsig.tools.dynobject.impl.DefaultDynField.setType(DefaultDynField.java:266)

at org.gvsig.raster.impl.store.AbstractRasterDataParameters.registerDynClass(AbstractRasterDataParameters.java:94)

at org.gvsig.raster.wms.io.WMSDataParametersimpl.registerDynClass(WMSDataParametersimpl.java:94)

at org.gvsig.raster.wms.io.DefaultWMSIOLibrary.dolnitialize(DefaultWMSIOLibrary.java:49)

at org.gvsig.tools.library.AbstractLibrary.initialize (AbstractLibrary.java:338)
at org.gvsig.tools.library.AbstractLibrarieslInitializer.initializeLibraries(AbstractLibrarieslnitializer.java:256)
at org.gvsig.tools.library.AbstractLibrariesInitializer.initialize(AbstractLibrariesInitializer.java:90)

at org.gvsig.tools.library.AbstractLibrarieslInitializer.fulllnitialize (AbstractLibrariesInitializer.java:115)
at org.gvsig.andami.Launcher.initializeLibraries(Launcher.java:782)

at org.gvsig.andami.Launcher.doMain(Launcher.java:570)

at org.gvsig.andami.Launcher.main(Launcher.java:395)

at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.gvsig.andamiupdater.Updater.launchApp(Updater.java:89)

at org.gvsig.andamiupdater.Updater.main(Updater.java:67)

Associated revisions

Revision 6289 - 08/26/2016 02:35 PM - Francisco Diaz Carsi

refs #4297 eliminado el registro de la DynClass de la inicializacion de las librerias de WCSIO y WMSIO porque ya se estaba realizando en la

post-inicializacién

History

#1 - 08/26/2016 02:51 PM - Francisco Diaz Carsi

- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2444-RC4 (rev. org.gvsig.desktop-2.0.151)
- Assignee set to Francisco Diaz Carsi

- Status changed from New to Fixed

#2 - 08/31/2016 11:26 AM - Antonio Falciano
- Status changed from Fixed to Closed
